import { Component } from '@angular/core';
import {ButtonDirective} from "primeng/button";
import {FormsModule} from "@angular/forms";
import {InputTextModule} from "primeng/inputtext";
import {PaginatorModule} from "primeng/paginator";
import {SelectItem} from "primeng/api";


@Component({
  selector: 'app-objecttype',
  standalone: true,
    imports: [
        ButtonDirective,
        FormsModule,
        InputTextModule,
        PaginatorModule
    ],
  templateUrl: './objecttype.component.html',
  styleUrl: './objecttype.component.css'
})
export class ObjecttypeComponent {
  objectTypes!:SelectItem[];
  newObjectType:string = '';


  createNewObjectType() {
    if(this.objectTypes === undefined) {
      this.objectTypes = [];
    }
    this.objectTypes.push({label: this.newObjectType, value: this.newObjectType});
    console.log('objectTypes', this.objectTypes)
    this.newObjectType = '';
  }
}
